%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           compizconfig-python
Version:        0.7.7
Release:        7%{?dist}
Summary:        Python bindings for the Compiz Configuration System
Vendor:         compiz-fusion repo
Packager:       Leigh Scott <leigh123linux@googlemail.com>
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildRequires:  libcompizconfig-devel = %{version}, Pyrex, glib2-devel

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains bindings to configure Compiz's
plugins and the composite window manager.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} , pkgconfig 
Requires:       libcompizconfig-devel = %{version} , glib2-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q 

%build
./autogen.sh   --program-prefix= \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=%{_libdir} \
	--libexecdir=/usr/libexec \
	--localstatedir=/var \
	--sharedstatedir=/usr/com \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
        --disable-static  
         
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{python_sitearch}/compizconfig.so


%files devel
%{_libdir}/pkgconfig/compizconfig-python.pc


%changelog
* Fri Jun 13 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-7
- rebuild

* Fri Jun 13 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-6
- rebuild

* Tue Jun 10 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-5
- rebuild

* Mon Jun 9 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-4
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-3
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-2
- Cleanup spec file

* Thu May 31 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-1
- 0.7.7 release

* Thu Apr 03 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.5-1
- 0.7.5 release

* Fri Mar 07 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.3-1
- 0.7.3 release

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

* Sun Jul 03 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.4.20070703git
- 20070703git

* Sun Jun 30 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070630git
- 20070630git

* Mon Jun 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.1.20070625git
- changed python_sitelib to python_sitearch
- fixed release numbering to follow Fedora guideline

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs
